Alokai
You are reading the documentation for SDK v2, which is no longer the latest version. Switch to current

removeCartCoupon

Method for removing a discount code from cart.

This method sends a POST request to the updateCart endpoint of the Vue Storefront API Middleware and passes the RemoveDiscountCode action to it. In turn, it removes a discount code from cart in commercetools by sending a request to its GraphQL API. The default GraphQL query used by this method can be found here.

When the method is called with an incorrect cartVersion and commercetools API responds with the ConcurrentModification error, our Server Middleware automatically retries the failed request with the correct version. To disable that behavior, set the versionFallback to false.

You might also want to see the applyCartCoupon method.

In case you need to perform a more complex cart update with multiple update actions at once, use the updateCart method instead.

Signature

export declare function removeCartCoupon<Res extends PartialUpdateCartResponse = UpdateCartResponse>(
	params: RemoveCartCouponParams,
	options?: MethodOptions<CustomQuery<"updateCart">>
): Promise<Res>;

Parameters

NameRequiredTypeDescription
paramsRequiredRemoveCartCouponParamsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.
optionsOptionalMethodOptions<CustomQuery<"updateCart">>Options that can be passed to additionally configure the request or customize the logic in a plugin.

Returns

Returns a representation of the UpdateCartResponse.

Referenced Types

Examples

Removing a discount code from cart.

import { sdk } from '~/sdk.config.ts';

const { cart } = await sdk.commerce.removeCartCoupon({
  cartId: '6931b5d2-986f-4d2b-8cba-45007a26eb5e',
  cartVersion: 1,
  couponId: 'c2ae6cbb-5978-400e-b08e-6084b7c1bdb3'
});

Creating a custom GraphQL query for the method in middleware.config.js. We can use it to specify response fields as well as overwrite certain query variables.

module.exports = {
  integrations: {
    ct: {
      // ...
      customQueries: {
        'remove-cart-coupon-custom-query': ({ query, variables, metadata }) => ({
          variables: Object.assign(variables, metadata?.variables),
          query: `
            mutation updateCart(
              $id: String!,
              $version: Long!,
              $actions: [MyCartUpdateAction!]!,
              $storeKey: KeyReferenceInput
            ) {
              cart: updateMyCart(id: $id, version: $version, actions: $actions, storeKey: $storeKey) {
                ${metadata.fields}
              }
            }
          `;
        }
      }
    }
  }
};

Removing a discount code from cart and selecting response fields using the custom GraphQL query from the previous example. Notice how we are using the type parameter to overwrite the default response interface.

import { sdk } from '~/sdk.config.ts';

type CustomUpdateCartResponse = {
  cart: {
    id: string;
    version: string;
  }
}

const { cart } = await sdk.commerce.removeCartCoupon<CustomUpdateCartResponse>({
  cartId: '6931b5d2-986f-4d2b-8cba-45007a26eb5e',
  cartVersion: 1,
  couponId: 'c2ae6cbb-5978-400e-b08e-6084b7c1bdb3'
}, {
  customQuery: {
    updateCart: 'remove-cart-coupon-custom-query',
    metadata: {
      fields: 'id, version'
    }
  }
})

On this page